Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util
Class TabbedCompoundComponent

    java.lang.Object
      |
      +--java.beans.FeatureDescriptor
            |
            +--com.togethersoft.openapi.ide.inspector.IdeInspectorComponent
                  |
                  +--com.togethersoft.openapi.ide.inspector.IdeInspectorCompoundComponent
                        |
                        +--com.togethersoft.openapi.ide.inspector.util.TabbedCompoundComponent

public class TabbedCompoundComponent
extends IdeInspectorCompoundComponent

Represents InspectorCompoundComponent which is presented in the UI as a tabbed pane.

Author:
  TogetherSoft

Fields inherited from class com.togethersoft.openapi.ide.inspector.IdeInspectorCompoundComponent
`myContext, myInternalInspector`

Constructor Summary
`TabbedCompoundComponent(IdeContext context, String name)` Creates new TabbedCompoundComponent for the specified context.

Methods inherited from class com.togethersoft.openapi.ide.inspector.IdeInspectorCompoundComponent
`addComponent, addComponent, removeComponent, update`

Methods inherited from class com.togethersoft.openapi.ide.inspector.IdeInspectorComponent
`getService, setService`

Methods inherited from class java.beans.FeatureDescriptor
`getName, setName, getDisplayName, setDisplayName, isExpert, setExpert, isHidden, setHidden, isPreferred, setPreferred, getShortDescription, setShortDescription, setValue, getValue, attributeNames`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Constructor Detail

### TabbedCompoundComponent

    public TabbedCompoundComponent(IdeContext context, String name)

  Creates new TabbedCompoundComponent for the specified context. Also sets service TabbedPaneInspectorUI with bottom location of tabs.
  Parameters:
    context - `IdeContext` for which this component is created
    name - `String` name of this component
    name - Name of this component

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD